org.apache.fop.apps

## Class FopFactoryBuilder.FopFactoryConfigImpl

- java.lang.Object
- - org.apache.fop.apps.FopFactoryBuilder.FopFactoryConfigImpl

All Implemented Interfaces:
  FopFactoryConfig

Enclosing class:
  FopFactoryBuilder

    public static class FopFactoryBuilder.FopFactoryConfigImpl
    extends Object
    implements FopFactoryConfig

### Field Summary

### Fields inherited from interface org.apache.fop.apps.FopFactoryConfig

`DEFAULT_BREAK_INDENT_INHERITANCE, DEFAULT_PAGE_HEIGHT, DEFAULT_PAGE_WIDTH, DEFAULT_SOURCE_RESOLUTION, DEFAULT_STRICT_FO_VALIDATION, DEFAULT_STRICT_USERCONFIG_VALIDATION, DEFAULT_TARGET_RESOLUTION`

### Method Summary

All Methods Instance Methods Concrete Methods
`URI` `getBaseURI()` The base URI from which URIs are resolved against.
`org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver` `getFallbackResolver()` Controls the mechanisms that are used in the event that `Source` used for resources couldn't be read.
`FontManager` `getFontManager()` Returns the font manager.
`Map<String,String>` `getHyphenationPatternNames()`
`InternalResourceResolver` `getHyphenationResourceResolver()`
`Set<String>` `getIgnoredNamespaces()`
`org.apache.xmlgraphics.image.loader.ImageManager` `getImageManager()` Returns the image manager.
`LayoutManagerMaker` `getLayoutManagerMakerOverride()` Returns the overriding LayoutManagerMaker instance, if any.
`String` `getPageHeight()` Gets the default page-height to use as fallback, in case page-height="auto"
`String` `getPageWidth()` Gets the default page-width to use as fallback, in case page-width="auto"
`org.apache.xmlgraphics.io.ResourceResolver` `getResourceResolver()` The URI resolver used through-out FOP for controlling all file access.
`float` `getSourceResolution()`
`float` `getTargetResolution()`
`Configuration` `getUserConfig()` Returns the Avalon `Configuration` object.
`boolean` `isAccessibilityEnabled()` Whether accessibility features are switched on.
`boolean` `isBreakIndentInheritanceOnReferenceAreaBoundary()`
`boolean` `isComplexScriptFeaturesEnabled()`
`boolean` `isKeepEmptyTags()`
`boolean` `isLegacyFoWrapper()`
`boolean` `isLegacyLastPageChangeIPD()`
`boolean` `isLegacySkipPagePositionOnly()`
`boolean` `isNamespaceIgnored(String namespace)` Indicates whether a namespace URI is on the ignored list.
`boolean` `isSimpleLineBreaking()`
`boolean` `isSkipPagePositionOnlyAllowed()`
`boolean` `isStaticRegionsPerPageForAccessibility()`
`boolean` `isTableBorderOverpaint()`
`boolean` `preferRenderer()`
`boolean` `validateStrictly()` Returns whether FOP is strictly validating input XSL
`boolean` `validateUserConfigStrictly()` Is the user configuration to be validated?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isAccessibilityEnabled

    public boolean isAccessibilityEnabled()

Whether accessibility features are switched on.

Specified by:
  `isAccessibilityEnabled` in interface `FopFactoryConfig`
Returns:
  true if accessibility features have been requested

#### isStaticRegionsPerPageForAccessibility

    public boolean isStaticRegionsPerPageForAccessibility()

Specified by:
  `isStaticRegionsPerPageForAccessibility` in interface `FopFactoryConfig`

#### isKeepEmptyTags

    public boolean isKeepEmptyTags()

Specified by:
  `isKeepEmptyTags` in interface `FopFactoryConfig`

#### getLayoutManagerMakerOverride

    public LayoutManagerMaker getLayoutManagerMakerOverride()

Returns the overriding LayoutManagerMaker instance, if any.

Specified by:
  `getLayoutManagerMakerOverride` in interface `FopFactoryConfig`
Returns:
  the overriding LayoutManagerMaker or null

#### getResourceResolver

    public org.apache.xmlgraphics.io.ResourceResolver getResourceResolver()

The URI resolver used through-out FOP for controlling all file access.

Specified by:
  `getResourceResolver` in interface `FopFactoryConfig`
Returns:
  the URI resolver

#### getBaseURI

    public URI getBaseURI()

The base URI from which URIs are resolved against.

Specified by:
  `getBaseURI` in interface `FopFactoryConfig`
Returns:
  the base URI

#### getHyphenationResourceResolver

    public InternalResourceResolver getHyphenationResourceResolver()

Specified by:
  `getHyphenationResourceResolver` in interface `FopFactoryConfig`

#### validateStrictly

    public boolean validateStrictly()

Returns whether FOP is strictly validating input XSL

Specified by:
  `validateStrictly` in interface `FopFactoryConfig`
Returns:
  true of strict validation turned on, false otherwise

#### validateUserConfigStrictly

    public boolean validateUserConfigStrictly()

Is the user configuration to be validated?

Specified by:
  `validateUserConfigStrictly` in interface `FopFactoryConfig`
Returns:
  if the user configuration should be validated

#### isBreakIndentInheritanceOnReferenceAreaBoundary

    public boolean isBreakIndentInheritanceOnReferenceAreaBoundary()

Specified by:
  `isBreakIndentInheritanceOnReferenceAreaBoundary` in interface `FopFactoryConfig`
Returns:
  true if the indent inheritance should be broken when crossing reference area boundaries (for more info, see the javadoc for the relative member variable)

#### getSourceResolution

    public float getSourceResolution()

Specified by:
  `getSourceResolution` in interface `FopFactoryConfig`
Returns:
  the resolution for resolution-dependent input

#### getTargetResolution

    public float getTargetResolution()

Specified by:
  `getTargetResolution` in interface `FopFactoryConfig`
Returns:
  the resolution for resolution-dependent output

#### getPageHeight

    public String getPageHeight()

Gets the default page-height to use as fallback, in case page-height="auto"

Specified by:
  `getPageHeight` in interface `FopFactoryConfig`
Returns:
  the page-height, as a String

#### getPageWidth

    public String getPageWidth()

Gets the default page-width to use as fallback, in case page-width="auto"

Specified by:
  `getPageWidth` in interface `FopFactoryConfig`
Returns:
  the page-width, as a String

#### getIgnoredNamespaces

    public Set<String> getIgnoredNamespaces()

Specified by:
  `getIgnoredNamespaces` in interface `FopFactoryConfig`
Returns:
  the set of namespaces that are ignored by FOP

#### isNamespaceIgnored

    public boolean isNamespaceIgnored(String namespace)

Indicates whether a namespace URI is on the ignored list.

Specified by:
  `isNamespaceIgnored` in interface `FopFactoryConfig`
Parameters:
  `namespace` - the namespace URI
Returns:
  true if the namespace is ignored by FOP

#### getUserConfig

    public Configuration getUserConfig()

Returns the Avalon `Configuration` object.

Specified by:
  `getUserConfig` in interface `FopFactoryConfig`
Returns:
  the Avalon config object

#### preferRenderer

    public boolean preferRenderer()

Specified by:
  `preferRenderer` in interface `FopFactoryConfig`
See Also:
  `RendererFactory.isRendererPreferred()`

#### getFontManager

    public FontManager getFontManager()

Returns the font manager.

Specified by:
  `getFontManager` in interface `FopFactoryConfig`
Returns:
  the font manager

#### getImageManager

    public org.apache.xmlgraphics.image.loader.ImageManager getImageManager()

Returns the image manager.

Specified by:
  `getImageManager` in interface `FopFactoryConfig`
Returns:
  the image manager

#### isComplexScriptFeaturesEnabled

    public boolean isComplexScriptFeaturesEnabled()

Specified by:
  `isComplexScriptFeaturesEnabled` in interface `FopFactoryConfig`

#### isTableBorderOverpaint

    public boolean isTableBorderOverpaint()

Specified by:
  `isTableBorderOverpaint` in interface `FopFactoryConfig`

#### isSimpleLineBreaking

    public boolean isSimpleLineBreaking()

Specified by:
  `isSimpleLineBreaking` in interface `FopFactoryConfig`

#### isSkipPagePositionOnlyAllowed

    public boolean isSkipPagePositionOnlyAllowed()

Specified by:
  `isSkipPagePositionOnlyAllowed` in interface `FopFactoryConfig`

#### isLegacySkipPagePositionOnly

    public boolean isLegacySkipPagePositionOnly()

Specified by:
  `isLegacySkipPagePositionOnly` in interface `FopFactoryConfig`

#### isLegacyLastPageChangeIPD

    public boolean isLegacyLastPageChangeIPD()

Specified by:
  `isLegacyLastPageChangeIPD` in interface `FopFactoryConfig`

#### isLegacyFoWrapper

    public boolean isLegacyFoWrapper()

Specified by:
  `isLegacyFoWrapper` in interface `FopFactoryConfig`

#### getHyphenationPatternNames

    public Map<String,String> getHyphenationPatternNames()

Specified by:
  `getHyphenationPatternNames` in interface `FopFactoryConfig`
Returns:
  the hyphenation pattern names

#### getFallbackResolver

    public org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver getFallbackResolver()

Description copied from interface: `FopFactoryConfig`
Controls the mechanisms that are used in the event that `Source` used for resources couldn't be read.

Specified by:
  `getFallbackResolver` in interface `FopFactoryConfig`
Returns:
  the fallback resolver